package de.dass_it.vanhelsing.gui.items;
public class ConfigItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="id"
	 */
	private int id;
	/**
	 * @uml.property  name="ressource"
	 */
	private String ressource;
	/**
	 * @uml.property  name="key"
	 */
	private String key;
	/**
	 * @uml.property  name="value"
	 */
	private String value;
	
	public ConfigItem(){
	}
	
	public ConfigItem(int id, String ressource, String key, String value){
		this.setId(id);
		this.setRessource(ressource);
		this.setKey(key);
		this.value = value;
	}

	/**
	 * @param value
	 * @uml.property  name="value"
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * @return
	 * @uml.property  name="value"
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @param key
	 * @uml.property  name="key"
	 */
	public void setKey(String key) {
		this.key = key;
	}

	/**
	 * @return
	 * @uml.property  name="key"
	 */
	public String getKey() {
		return key;
	}

	/**
	 * @param ressource
	 * @uml.property  name="ressource"
	 */
	public void setRessource(String ressource) {
		this.ressource = ressource;
	}

	/**
	 * @return
	 * @uml.property  name="ressource"
	 */
	public String getRessource() {
		return ressource;
	}
	
	public String toString() {
		return ("Key: " + key + ", Value: " + value);
	}

	/**
	 * @param id
	 * @uml.property  name="id"
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * @return
	 * @uml.property  name="id"
	 */
	public int getId() {
		return id;
	}
	
}
